// pages/link/index.js
const app = getApp()

Page({

  /**
   * 页面的初始数据
   */
  data: {
    keyword: '',
    searchKeyword: '',
    openId: '',
    word: '',
    author: '',
    text: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      keyword: this.options.word,
      openId: wx.getStorageSync('userInfo').openId,
      word:  wx.getStorageSync('word'),
      author: wx.getStorageSync('author')
    })
    this.getText();
    // 上级目录是word时，使用保存的word
    if(options.from) {
      this.setData({
        keyword: wx.getStorageSync('keyword')
      })
    }
    !this.data.word&&this.getword(0);
    !this.data.author&&this.getword(1);
  },
  getText() {
    wx.showLoading({
      title: '加载中',
    })
    app.func.req('/api/app/config', 'get', {
      'version': '1.0.1'
    }, (res) => {
      wx.hideLoading()
      if(res && res.errno == 0){
        this.setData({
          text: res.rst.platform
        })
      }else {
        wx.showToast({
          title: res.err,
          icon: 'none',
          duration: 2000
        })
      }
    },()=>{
      wx.hideLoading()
    })
  },
  getCopy() {
    var that = this;
    wx.getClipboardData({
      success (res){
        that.setData({
          keyword: res.data
        })
      }
    })
  },
  getKeyword(e) {
    this.setData({
      searchKeyword: e.detail.value,
      keyword: e.detail.value
    })
  },
  clearAll() {
    this.setData({
      keyword: ''
    })
  },
  toWord(e) {
    // 保存关键词
    wx.setStorageSync('keyword',this.data.keyword)
    wx.redirectTo({
      url: '/pages/word/word?from='+e.currentTarget.dataset.type+'&word='+this.data.word+'&author='+this.data.author
    })
  },
  // 获取链接
  getUrl(content) {
    var content = this.data.keyword;
    if(!content) {
      wx.showToast({
        title: '内容不能为空',
        icon: 'none'
      })
      return;
    }
    wx.showLoading({
      title: '加载中',
    })
    app.func.req('/api/goods/goods_info', 'post', {
      'url': content
    }, (res) => {
      wx.hideLoading()
      if(res && res.errno == 0){
        //成功
        wx.setStorageSync('shopInfo',res.rst)
        setTimeout(() => {
          wx.redirectTo({
            url: '/pages/status/status'
          })
        },400)
      }else {
        wx.showToast({
          title: res.err?res.err:'服务器错误',
          icon: 'none',
          duration: 2000
        })
      }
    },()=>{
      wx.showToast({
        title: '链接转换失败',
        icon: 'none',
        duration: 2000
      })
      wx.hideLoading()
    })
  },
  // 没有本地词，从列表中获取----默认引导词  
  getword(type) {
    app.func.req('/api/article/getGuideWords', 'get', {
      'type': type
    }, (res) => {
      wx.hideLoading()
      if(res && res.errno == 0){
        if(type==0) {
          this.setData({
            word: res.rst.data[0].keyword
          })
          wx.setStorageSync('word',res.rst.data[0].keyword)
        }else {
          //成功
          this.setData({
            author: res.rst.data[0].keyword
          })
            wx.setStorageSync('author',res.rst.data[0].keyword)

        }
      }else {
        wx.showToast({
          title: res.err,
          icon: 'none',
          duration: 2000
        })
      }
    },()=>{
      wx.hideLoading()
    })
  },
  onShareAppMessage() {
    
  }
})